# Interface ClientWatchManager

public interface ClientWatchManager

## Method Summary

Modifier and Type
Method
Description
`Set<Watcher>`
`materialize(Watcher.Event.KeeperState state, Watcher.Event.EventType type, String path)`
Return a set of watchers that should be notified of the event.

## Method Details

### materialize

Set<Watcher> materialize(Watcher.Event.KeeperState state, Watcher.Event.EventType type, String path)
Return a set of watchers that should be notified of the event. The manager must not notify the watcher(s), however it will update it's internal structure as if the watches had triggered. The intent being that the callee is now responsible for notifying the watchers of the event, possibly at some later time.

Parameters:
  `state` - event state
  `type` - event type
  `path` - event path
Returns:
  may be empty set but must not be null